# Function getRelationshipFromField

- getRelationshipFromField(fieldWithRelationship): [relationshipId: string, attribute: string] | [relationshipId: undefined, attribute: undefined]

- Retrieves the relationship id and attribute from the given field string if a relationship exists.

  #### Parameters

  - fieldWithRelationship: string

    The field string that possibly contains the relationship.

  #### Returns [relationshipId: string, attribute: string] | [relationshipId: undefined, attribute: undefined]

  The id of the relationship and the attribute or undefined for both if one can't be found.